/* global includes for countSmarts */

/* defines */
#ifndef __COUNTSMARTS_INCLUDES_H__
#define __COUNTSMARTS_INCLUDES_H__

/* just some information about this file */
#define INCLUDES_VERSION	"1.0.1"
#define INCLUDES_DATE	"02-Dec-2003"

/** @file
* This file contains all the neccessary @c include precompiler commands.
*
* All @c include commands are listed in this single file to provide an easy way to maintain this list.
* The list of @c include commands consists of the following different file types
* @li library includes ( e.g. stdio )
* @li generalDefines.h ( contains all defines that are used throughout the program )
* @li module includes ( individual modules of the program, e.g. stringArray.c )
* <p>
* The order of the module includes is of importance! Modules that are further down in the list use
* functions and structures of modules that are on top of the list. Therefore, the order of this
* list shouldn't be modified!
* 
* @author Uli Fechner
* @version 28/11/2003 - Uli Fechner - initial release
* @version 02/12/2003 - Uli Fechner - added the daylight includes
*/

/* lib includes */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <ctype.h>
#include <unistd.h>	/* for getopt */
#include <time.h>
#include <stdarg.h>

/* daylight includes */
#include "dt_smiles.h"
#include "dt_smarts.h"

/* general defines include */

#include "generalDefines.h"

/* module includes */

#include "stringArray.c"
#include "givenClp.c"
#include "clp.c"
#include "doubleArray.c"
#include "smilesCompound.c"
#include "doubleLinkedList.c"

#endif /* __COUNTSMARTS_INCLUDES_H__ */
